Skip to main content
GET
Minimum required API key scope: Read

Description

Retrieves a paginated list of tables uploaded by the user or their team.
Migrating from the old API? This endpoint replaces the deprecated GET /v1/tables. See the Migration Guide for details.For broader dataset discovery including Dune community datasets, use the /v1/datasets endpoint.

Pagination

Use the limit and offset parameters to paginate through large result sets:
  • To get the first 20 tables: ?limit=20&offset=0
  • To get the next 20 tables: ?limit=20&offset=20
  • Continue incrementing offset by limit to get subsequent pages

Pricing

This is a metadata endpoint and does not consume credits.

Headers

X-Dune-Api-Key
string
required

API Key for the service

Query Parameters

api_key
string

API Key, alternative to using the HTTP header X-Dune-Api-Key

limit
integer<int32>

Number of tables to return on a page. Default: 50, max: 10000

offset
integer<int32>

Offset used for pagination. Negative values are treated as 0

Response

OK

next_offset
integer

Offset for next page of results

tables
object[]